package com.caliverse.admin.domain.entity;

public enum ROUTE {
    QUEST_REWARD("퀘스트 보상"), SEASON_PASS("시즌 패스 보상"), FROM_PROP("프랍 획득"),
    CLAIM_REWARD("클레임보상"), USE_ITEM("아이템 사용(랜덤박스)"), TATTOO_ENHANCE("타투 강화"),
    TATTOO_CONVERSION("타투 연성"), SHOP_BUY("상점 구매"), SHOP_SELL("상점 판매"),
    PAID_PRODUCT("유료 상품 구매"), TRADE_ADD("유저 거래(획득)"), NFT_LOCKIN("LOCK-IN"),
    USE_PROP("프랍 사용"), USE_TAXI("택시"), SHOUT("전체 채팅"), SUMMON("파티원 소환"),
    CREATE_PARTYROOM("파티 인스턴스 생성"), INVENTORY_EXPAND("인벤토리 확장"),
    TRADE_REMOVE("유저 거래(소진)"), NFT_UNLOCK("UNLOCK");

    private final String description;

    ROUTE(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
